%define module_name IP-Country

Name: perl-%module_name
Version: 2.23
Release: alt1

Summary: Classes for fast lookup of country codes from IP addresses for Perl
Group: Development/Perl
License: distributable

URL: http://search.cpan.org/dist/%module_name
Source: http://www.cpan.org/modules/by-module/IP/%module_name-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Tue Jun 13 2006 (-bi)
BuildRequires: perl-devel perl-Geography-Countries perl-Geo-IP-PurePerl

%description
Finding the home country of a client using only the IP address can be difficult.
Looking up the domain name associated with that address can provide some help,
but many IP address are not reverse mapped to any useful domain, and the
most common domain (.com) offers no help when looking for country.

This module comes bundled with a database of countries where various IP addresses
have been assigned. Although the country of assignment will probably be the
country associated with a large ISP rather than the client herself, this is
probably good enough for most log analysis applications, and under test has proved
to be as accurate as reverse-DNS and WHOIS lookup.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

# Clean up buildroot
%__rm -rf %buildroot%perl_vendor_privlib/*-linux

%files
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/*
%perl_vendor_man3dir/*
%doc CHANGES

%changelog
* Wed Feb 07 2007 Victor Forsyuk <force@altlinux.org> 2.23-alt1
- 2.23

* Tue Jun 13 2006 Victor Forsyuk <force@altlinux.ru> 2.21-alt1
- 2.21

* Wed Oct 05 2005 Victor Forsyuk <force@altlinux.ru> 2.20-alt1
- Initial build.
